members.dev
ApiPayments

Create Payment

Creates a Payment

POST
/v1/payments

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/payments" \  -H "Content-Type: application/json" \  -d '{    "member_id": "string",    "invoice_ids": [      "string"    ]  }'
{
  "id": "string",
  "tenant_id": "string",
  "organization_id": "string",
  "member_id": "string",
  "amount_allocated": 0,
  "currency": "str",
  "payment_method_id": "string",
  "status": "pending",
  "provider": "stripe",
  "provider_payment_intent_id": "string",
  "save_payment_method_requested": true,
  "failure_code": "string",
  "failure_message": "string",
  "notes": "string",
  "invoice_allocations": [
    {
      "invoice_id": "string",
      "amount": 0,
      "currency": "str"
    }
  ],
  "client_secret": "string",
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}